aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.HeadObject

Synopsis

- data HeadObject = HeadObject {
  - hoBucket :: Bucket
  - hoObjectName :: Object
  - hoVersionId :: Maybe Text
  - hoIfMatch :: Maybe Text
  - hoIfNoneMatch :: Maybe Text
  }
- headObject :: Bucket -> Text -> HeadObject
- data HeadObjectResponse = HeadObjectResponse {
  - horMetadata :: Maybe ObjectMetadata
  }
- data HeadObjectMemoryResponse = HeadObjectMemoryResponse (Maybe ObjectMetadata)

# Documentation

data HeadObject #

Constructors

HeadObject |
Fields hoBucket :: Bucket hoObjectName :: Object hoVersionId :: Maybe Text hoIfMatch :: Maybe Text Return the object only if its entity tag (ETag, which is an md5sum of the content) is the same as the one specified; otherwise, catch a `StatusCodeException` with a status of 412 precondition failed. hoIfNoneMatch :: Maybe Text Return the object only if its entity tag (ETag, which is an md5sum of the content) is different from the one specified; otherwise, catch a `StatusCodeException` with a status of 304 not modified.

Instances

Show HeadObject # |
Methods showsPrec :: Int -> HeadObject -> ShowS # show :: HeadObject -> String # showList :: [HeadObject] -> ShowS #
SignQuery HeadObject # | ServiceConfiguration: `S3Configuration`
Associated Types type ServiceConfiguration HeadObject :: * -> * # Methods signQuery :: HeadObject -> ServiceConfiguration HeadObject queryType -> SignatureData -> SignedQuery #
Transaction HeadObject HeadObjectResponse # |
ResponseConsumer HeadObject HeadObjectResponse # |
Associated Types type ResponseMetadata HeadObjectResponse :: * # Methods responseConsumer :: Request -> HeadObject -> IORef (ResponseMetadata HeadObjectResponse) -> HTTPResponseConsumer HeadObjectResponse #
type ServiceConfiguration HeadObject # |
type ServiceConfiguration HeadObject = S3Configuration

headObject :: Bucket -> Text -> HeadObject #

data HeadObjectResponse #

Constructors

HeadObjectResponse |
Fields horMetadata :: Maybe ObjectMetadata

Instances

AsMemoryResponse HeadObjectResponse # |
Associated Types type MemoryResponse HeadObjectResponse :: * # Methods loadToMemory :: HeadObjectResponse -> ResourceT IO (MemoryResponse HeadObjectResponse) #
Transaction HeadObject HeadObjectResponse # |
ResponseConsumer HeadObject HeadObjectResponse # |
Associated Types type ResponseMetadata HeadObjectResponse :: * # Methods responseConsumer :: Request -> HeadObject -> IORef (ResponseMetadata HeadObjectResponse) -> HTTPResponseConsumer HeadObjectResponse #
type MemoryResponse HeadObjectResponse # |
type MemoryResponse HeadObjectResponse = HeadObjectMemoryResponse
type ResponseMetadata HeadObjectResponse # |
type ResponseMetadata HeadObjectResponse = S3Metadata

data HeadObjectMemoryResponse #

Constructors

HeadObjectMemoryResponse (Maybe ObjectMetadata) |

Instances

Show HeadObjectMemoryResponse # |
Methods showsPrec :: Int -> HeadObjectMemoryResponse -> ShowS # show :: HeadObjectMemoryResponse -> String # showList :: [HeadObjectMemoryResponse] -> ShowS #